---
updatedAt: 2026-05-21T06:58:30.000Z
agentTools:
  projectIndex: https://docs.talkdesk.com/llms.txt
---

# Get Callback Details

Returns the full details of a specific scheduled callback including status, timestamps, and metadata.
Use this endpoint to retrieve a single callback by its ID.


## Scope

`schedule-callbacks:read`

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "Public API",
    "version": "5.12.71",
    "description": "Documents public API endpoints. Scopes are given to external software, that we don't control",
    "contact": {
      "name": "Talkdesk",
      "url": "https://talkdesk.com"
    }
  },
  "servers": [
    {
      "url": "https://api.talkdeskapp.com",
      "description": "United States (td-us-1)"
    },
    {
      "url": "https://api.talkdeskapp.eu",
      "description": "Europe (td-eu-1)"
    },
    {
      "url": "https://api.talkdeskappca.com",
      "description": "Canada (td-ca-1)"
    },
    {
      "url": "https://api.talkdeskapp.co.uk",
      "description": "United Kingdom (td-uk-1)"
    }
  ],
  "tags": [
    {
      "name": "Schedule Callbacks",
      "description": "Schedule Callbacks"
    }
  ],
  "paths": {
    "/schedule-callbacks/{id}": {
      "get": {
        "operationId": "schedule-callbacks-id-get",
        "description": "Returns the full details of a specific scheduled callback including status, timestamps, and metadata.\nUse this endpoint to retrieve a single callback by its ID.\n",
        "summary": "Get Callback Details",
        "x-namespace": "/schedule-callbacks",
        "tags": [
          "Schedule Callbacks"
        ],
        "security": [
          {
            "GA": [
              "schedule-callbacks:read"
            ]
          }
        ],
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The identifier of the callback.",
            "required": true,
            "schema": {
              "type": "string",
              "minLength": 1,
              "maxLength": 36
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Full details of the scheduled callback identified by id.",
            "content": {
              "application/hal+json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "callback_id"
                  ],
                  "properties": {
                    "callback_id": {
                      "type": "string",
                      "description": "Id of the callback"
                    },
                    "account_id": {
                      "type": "string",
                      "description": "Id of the account"
                    },
                    "interaction_id": {
                      "type": "string",
                      "description": "The interaction id of where the callback originates from."
                    },
                    "caller_id": {
                      "type": "string",
                      "description": "The number that will be shown as the caller"
                    },
                    "scheduled_time_to_call": {
                      "type": "string",
                      "format": "date-time",
                      "description": "The time the callback is scheduled"
                    },
                    "timezone": {
                      "type": "string",
                      "description": "The timezone in which the callback is scheduled"
                    },
                    "preferred_start_time": {
                      "type": "string",
                      "format": "date-time",
                      "description": "The started preferred time window on the preview screen inside conversation-app to schedule the callback"
                    },
                    "preferred_end_time": {
                      "type": "string",
                      "format": "date-time",
                      "description": "The ended preferred time window on the preview screen inside conversation-app to schedule the callback"
                    },
                    "processed_time": {
                      "type": "string",
                      "format": "date-time",
                      "description": "The time to process the callback"
                    },
                    "created_at": {
                      "type": "string",
                      "format": "date-time",
                      "description": "The time to create the callback"
                    },
                    "created_by": {
                      "type": "string",
                      "description": "The user who created the callback"
                    },
                    "contact_id": {
                      "type": "string",
                      "description": "The contact id"
                    },
                    "root_interaction_id": {
                      "type": "string",
                      "description": "The root interaction id of where the callback originates from."
                    },
                    "teams": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "team_id"
                        ],
                        "properties": {
                          "team_id": {
                            "type": "string"
                          }
                        }
                      },
                      "description": "Describes what teams the callback is assigned to"
                    },
                    "assign_type_v2": {
                      "type": "string",
                      "description": "Describes what assign type is this related to",
                      "enum": [
                        "MYSELF_ONLY",
                        "SPECIFIC_AGENT",
                        "SPECIFIC_QUEUE",
                        "MYSELF_IF_AVAILABLE",
                        "ANY_ELIGIBLE_AGENT"
                      ]
                    },
                    "from_call_type": {
                      "type": "string",
                      "description": "Describes what call type is this related to",
                      "enum": [
                        "INBOUND",
                        "MANUAL_OUTBOUND",
                        "PROACTIVE_OUTBOUND"
                      ]
                    },
                    "channel_type": {
                      "type": "string",
                      "description": "The communication channel of the callback (VOICE, CHAT, SMS, EMAIL, WHATSAPP, FACEBOOK_MESSENGER, API)",
                      "enum": [
                        "VOICE",
                        "CHAT",
                        "SMS",
                        "EMAIL",
                        "WHATSAPP",
                        "FACEBOOK_MESSENGER",
                        "API"
                      ]
                    },
                    "dialing_model": {
                      "type": "string",
                      "description": "Describes what dialing model is this related to",
                      "enum": [
                        "PREDICTIVE",
                        "PREVIEW"
                      ]
                    },
                    "queues": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "queue"
                        ],
                        "properties": {
                          "queue": {
                            "type": "string"
                          }
                        }
                      },
                      "description": "Describes which queues the callback is assigned to, when assign_type_v2 = specific queue."
                    },
                    "agents": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "agent_id"
                        ],
                        "properties": {
                          "agent_id": {
                            "type": "string"
                          }
                        }
                      },
                      "description": "Describes who are the agents the callback is assigned to, , when assign_type = specific agents."
                    },
                    "campaign_id": {
                      "type": "string",
                      "description": "The campaign id of where the callback originates from."
                    },
                    "record_id": {
                      "type": "string",
                      "description": "The id of the record list where the record comes from."
                    },
                    "record_list_id": {
                      "type": "string",
                      "description": "the id of the record list that is scheduled to be called"
                    },
                    "record_list_name": {
                      "type": "string",
                      "description": "the name of the record list that is scheduled to be called"
                    },
                    "phone_number": {
                      "type": "string",
                      "description": "The phone number that is scheduled to be called"
                    },
                    "record_first_name": {
                      "type": "string",
                      "description": "First name of the record that is scheduled to be called"
                    },
                    "record_last_name": {
                      "type": "string",
                      "description": "Last name of the record that is scheduled to be called"
                    },
                    "record_extra_data": {
                      "type": "object",
                      "description": "Extra Data from the record that is scheduled to be called"
                    },
                    "time_to_call": {
                      "type": "string",
                      "format": "date-time",
                      "description": "The time the callback is scheduled"
                    },
                    "next_time_to_call": {
                      "type": "string",
                      "format": "date-time",
                      "description": "The next time the callback will be retried."
                    },
                    "current_retry_attempts": {
                      "type": "integer",
                      "description": "The current retry times of this callback."
                    },
                    "current_rescheduled_attempts": {
                      "type": "integer",
                      "description": "The current rescheduled times of this callback."
                    },
                    "max_rescheduled_attempts": {
                      "type": "integer",
                      "description": "The max rescheduled times of this callback."
                    },
                    "status": {
                      "type": "string",
                      "description": "The status of callback",
                      "enum": [
                        "UNATTEMPTED,",
                        "TO_BE_RETRIED,",
                        "EXHAUSTED,",
                        "SUCCESS,",
                        "CANCELED,",
                        "INVALID_NUMBER"
                      ]
                    },
                    "_links": {
                      "type": "object",
                      "required": [
                        "self"
                      ],
                      "properties": {
                        "self": {
                          "type": "object",
                          "required": [
                            "href"
                          ],
                          "properties": {
                            "href": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "example": {
                  "callback_id": "2da8a248-4b77-463e-9a36-d724f5792971",
                  "account_id": "6142f79f738eb0e4a44b18c4",
                  "interaction_id": "03e5c6f0-53c5-4b76-86ef-8d89ac67cdc6",
                  "caller_id": "+155598754214",
                  "scheduled_time_to_call": "2021-03-24T11:48:40.500Z",
                  "timezone": "Europe/Lisbon",
                  "preferred_start_time": "2000-01-01T12:00:00.000Z",
                  "preferred_end_time": "2000-01-01T18:00:00.000Z",
                  "processed_time": "2021-03-24T11:48:40.500Z",
                  "created_at": "2021-03-24T11:40:40.500Z",
                  "created_by": "Chandler",
                  "contact_id": "4028814076d8250c0176d826d90f0000",
                  "root_interaction_id": "13e5c6f0-53c5-4b76-86ef-8d89ac67cdc2",
                  "teams": [
                    {
                      "team_id": "5b34eb0cdcba1b000bdbd321"
                    }
                  ],
                  "assign_type_v2": "MYSELF_ONLY",
                  "from_call_type": "PROACTIVE_OUTBOUND",
                  "channel_type": "VOICE",
                  "dialing_model": "PREDICTIVE",
                  "queues": [
                    {
                      "queue": "61935f5904147e334756017d"
                    }
                  ],
                  "agents": [
                    {
                      "agent_id": "5252g4504147e334756017d"
                    }
                  ],
                  "campaign_id": "8c86a8f4-da30-41ac-a09d-148e7690c330",
                  "record_id": "2b56abbb-1bb2-40de-9b88-243a4773b518",
                  "record_list_id": "c9798bc0-4f5d-474f-afb7-88bf6e543c94",
                  "record_list_name": "TEST",
                  "phone_number": "+351910000000",
                  "record_first_name": "Chandler",
                  "record_last_name": "Bing",
                  "time_to_call": "2023-03-24T11:48:40.500Z",
                  "next_time_to_call": "2023-03-24T11:48:40Z",
                  "current_retry_attempts": 0,
                  "current_rescheduled_attempts": 0,
                  "max_rescheduled_attempts": 3,
                  "status": "UNATTEMPTED",
                  "record_extra_data": {
                    "job": "statistical analysis and data reconfiguration.",
                    "address": "Apartment #19 in Greenwich Village, Manhattan"
                  },
                  "_links": {
                    "self": {
                      "href": "https://api.talkdeskapp.com/callbacks/2da8a248-4b77-463e-9a36-d724f5792971"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid query parameters",
            "content": {
              "application/hal+json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "code",
                    "message"
                  ],
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    },
                    "description": {
                      "type": "string"
                    },
                    "fields": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "name",
                          "description"
                        ],
                        "properties": {
                          "name": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "example": {
                  "code": "0532006",
                  "message": "Errors were found in the submitted data."
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/hal+json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "code",
                    "message"
                  ],
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    },
                    "description": {
                      "type": "string"
                    },
                    "fields": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "name",
                          "description"
                        ],
                        "properties": {
                          "name": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "example": {
                  "code": "0011003",
                  "message": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/hal+json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "code",
                    "message"
                  ],
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    },
                    "description": {
                      "type": "string"
                    },
                    "fields": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "name",
                          "description"
                        ],
                        "properties": {
                          "name": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "example": {
                  "code": "0532003",
                  "message": "Insufficient scopes for the requested operation"
                }
              }
            }
          },
          "404": {
            "description": "Callback entry not found",
            "content": {
              "application/hal+json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "code",
                    "message"
                  ],
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    },
                    "description": {
                      "type": "string"
                    },
                    "fields": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "name",
                          "description"
                        ],
                        "properties": {
                          "name": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "example": {
                  "code": "0532002",
                  "message": "The requested resource could not be found"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "GA": {
        "type": "oauth2",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://{account_name}.talkdeskid.com/oauth/authorize",
            "tokenUrl": "https://{account_name}.talkdeskid.com/oauth/token",
            "scopes": {
              "account:read": "Show account details",
              "apps:read": "Get details about app installations for an account",
              "apps:write": "Update an app installation state programatically",
              "attributes:read": "List attributes or attribute categories for an account and get details for a specific attribute",
              "attributes:write": "Create, update and remove attributes or attributes categories for an account",
              "bulk-imports:read": "Get list of imports and export errors into CSV file",
              "bulk-imports:write": "Create and update import data",
              "messages:write": "Ability to send messages from the API",
              "callback:write": "Request a new direct callback",
              "contacts-integrations:read": "Get details for contacts' integrations",
              "contacts:read": "Get details for contact(s)",
              "contacts:write": "Create, update or delete contacts",
              "contact-gdpr:write": "GDPR Contacts",
              "continuity-settings:read": "Read business continuity settings",
              "continuity-settings:write": "Change business continuity settings",
              "continuity-settings-activation:read": "Read information on activation of the continuity settings",
              "continuity-settings-activation:write": "Edit information on activation of the continuity settings",
              "data-reports:read": "Download previously generated data reports",
              "data-reports:write": "Create new data reports",
              "data-tables:read": "Fetch and list data tables",
              "data-tables:write": "Create and update data tables",
              "data-tables-exports:read": "List and download data table exports",
              "data-tables-exports:write": "Create and cancel data table exports",
              "events:read": "Get details from received events",
              "express-provisioning:read": "Express-provisioning validate if account exists",
              "express-provisioning:write": "Provisioning of an account",
              "express-accounts-usage:read": "Read usage information for an account",
              "express-accounts:read": "Read account information",
              "express-accounts-contracts:read": "Get contract info for express accounts",
              "express-accounts-contracts-actions:write": "Create contract actions for express accounts",
              "express-accounts-contracts-actions:read": "Read contract actions of express accounts",
              "express-products:read": "Read product information",
              "express-accounts-subscriptions:read": "Read subscription information for an account",
              "express-accounts-invoices:read": "Read invoice information for an account",
              "erc-ecommerce-shopify-webhooks-handler-credentials:write": "Create or update Shopify webhook handler credentials",
              "erc-ecommerce-shopify-webhooks-handler-credentials:read": "Read Shopify webhook handler credentials",
              "flows-interactions:start": "Starts an interaction associated with a flow",
              "flows-platform:submit": "Trigger an automation flow associated with an account",
              "fsi-accounts:read": "List of accounts associated with a contact",
              "fsi-contacts:write": "Update contact information",
              "fsi-contacts:read": "List and get contact details",
              "fsi-cards:read": "List of cards from a account",
              "fsi-cards:write": "Update the status for a card",
              "fsi-payments:read": "List of payments from a specific account",
              "fsi-transactions:read": "List of transactions for a specific account",
              "fsi-payoff:read": "Get the payoff for an FSI account",
              "fsi-transfers:write": "Create an FSI Transfer",
              "fsi-stop-payment:write": "Cancel a payment before it’s been processed",
              "fsi-travel-notification:write": "Create a new endpoint for Travel Notifications",
              "fsi-checks:read": "Search for a check",
              "fsi-set-ach-transfer:write": "FSI Set ACH Transfer",
              "fsi-unlock-account:write": "Unlock account for a banking customer",
              "fsi-decrypt:read": "The decryption based on AES algorithm",
              "fsi-write-back:write": "FSI Write Data Back",
              "fsi-spend-limit:read": "Daily limit for reading debit cards",
              "fsi-spend-limit:write": "Modify the daily limit of debit cards",
              "guardian-call-quality:read": "Read Guardian call quality data.",
              "guardian-sessions:read": "Read Sessions Guardian data.",
              "guardian-users:read": "Read Users Guardian data.",
              "guardian-cases:read": "Read Cases Guardian data.",
              "identity-activity:read": "Identity activity read access",
              "identity-email-validation:read": "Identity Email Validation read access",
              "identity-ip-validation:read": "Identity IP Validation read access",
              "identity-phone-validation:read": "Identity Phone Validation read access",
              "openid": "User info endpoint",
              "recordings:read": "Get recording files",
              "recordings:delete": "Delete recording files",
              "refresh_token": "Token refresh flow",
              "reports:read": "List previously generated reports and download them",
              "reports:write": "Create new reports or delete existing ones",
              "queues:read": "List CCAAS queues",
              "queues:write": "Create/update CCAAS queues details",
              "queues-users:read": "List users assigned to a CCAAS queue",
              "users:read": "List users for an account and get details for a specific user",
              "users:write": "Create, Update and Delete users",
              "interactions:control-recordings": "Control the recording status of an interaction",
              "fsi-workspace-contact-synchronization:write": "Synchronize Talkdesk contact with fsi member information",
              "voicebiometrics-enroll:write": "Update and delete Voice Biometrics enroll data",
              "voicebiometrics-consent:read": "VoiceBiometrics consent read access",
              "voicebiometrics-consent:write": "VoiceBiometrics consent write access",
              "live-queries:read": "Read and list queries from Live API",
              "live-subscriptions:read": "Read subscriptions from Live API",
              "live-subscriptions:write": "Create a new subscription for Live API",
              "wfm-aion-public:write": "Create, Update and Delete WFM Aion related data by an external client.",
              "wfm-request-management-public:write": "Create, Update and Delete WFM Request Management related data by an external client.",
              "wfm-request-management-public:read": "Read WFM Request Management related data by an external client.",
              "account-wallets:read": "Get information about account wallets",
              "bucket-configurations:read": "Get all bucket configurations",
              "cases-public:write": "Create,update and delete case data",
              "cases-public:read": "Read case",
              "case-notes-public:read": "Read case note data",
              "case-notes-public:write": "Create, edit, and delete case note data",
              "case-fields-public:read": "Read case field",
              "do-not-call-lists:manage": "Update a DNCL by adding or deleting a entry on a do not call list",
              "do-not-call-lists:read": "Read entries in a do not call list",
              "record-lists:manage": "Ability to view, add and update records of a Record List",
              "record-lists:write": "Create and update record lists for an account",
              "role-permissions:skip": "Skip role permissions validation",
              "campaigns:write": "Create, update and delete campaigns",
              "campaigns:read": "List and view available campaigns",
              "schedule-callbacks:read": "List schedule callbacks",
              "schedule-callbacks:write": "schedule a callbacks or reschedule a callbacks",
              "po-record-list-automations:write": "Custom record list automations for proactive outbound clients",
              "prompts:read": "Read prompts",
              "prompts:write": "Create a prompt",
              "prompts:delete": "Delete a prompt",
              "prompts:download": "Get prompt download link",
              "webhooks-trigger:write": "Create, update and delete a webhook trigger",
              "cfm-public:write": "Collect feedback data",
              "digital-connect:read": "List and Get digital-connect Resources",
              "digital-connect:write": "Create, Update and Delete digital-connect Resources",
              "entitymapper-contact-interactions:write": "Update interaction's contact mappings",
              "locations-directory:read": "Read locations information",
              "locations-directory:write": "Write/update locations information and custom fields",
              "locations-directory:support": "Create/Update/Delete locations-directory support features",
              "staffs-directory:read": "Read staffs information",
              "staffs-directory:write": "Write/update staffs information",
              "automated-notifications-management:read": "Read Automated Notifications related account information",
              "automated-notifications-management:write": "Write Automated Notifications related account information",
              "automated-notifications:read": "Read Automated Notifications event information",
              "automated-notifications:write": "Write Automated Notifications event information",
              "automated-notifications-bridge:write": "Write permissions for automated-notifications-bridge webhooks",
              "automated-notifications-subscriptions:read": "Read Automated Notifications subscriptions related to a topic/channel",
              "automated-notifications-subscriptions:write": "Write (subscribe/unsubscribe) Automated Notifications subscriptions related to a topic/channel",
              "entitymapper-map:write": "Write mappings with external entities",
              "entitymapper-contacts:read": "Search Talkdesk contact",
              "entitymapper-contacts:write": "Write Talkdesk contact",
              "appointment-scheduling-va:read": "Read appointment scheduling va entries",
              "hls-coverage:read": "Read healthcare & life sciences coverage information",
              "hls-balance:read": "Read healthcare & life sciences balance information",
              "hls-patient:read": "Read healthcare & life sciences patient information",
              "hls-providers:call-answered": "Write healthcare & life sciences call answered information",
              "hls-appointment:read": "Read healthcare & life sciences patient appointments",
              "hls-medication-order:read": "Read healthcare & life sciences patient medication orders",
              "hls-appointment:write": "Write healthcare & life sciences patient appointments",
              "hls-contact:write": "Write healthcare & life sciences data into talkdesk contact",
              "hls-provider:read": "Read healthcare & life sciences provider appointments",
              "hls-phone-action:write": "Write healthcare & life sciences phone action",
              "hls-click-to-call:write": "Write healthcare & life sciences click-to-call action",
              "hls-epic-outgoing-sms:write": "Trigger outgoing SMS from Epic",
              "hls-epic-agent-status-sync:write": "Trigger agent status sync from Epic",
              "hls-inbasket-message:write": "Send in-basket message to Epic",
              "hls-popup-intent:write": "Save intent of a patient",
              "hls-prescription:read": "Read healthcare & life sciences prescription information",
              "hls-prescription:write": "Write healthcare & life sciences prescription information",
              "hls-encounter:read": "Read healthcare & life sciences patient encounters",
              "hls-service-request:read": "Read healthcare & life sciences patient service requests",
              "hls-procedure:read": "Read healthcare & life sciences patient procedures",
              "hls-payers-connections:read": "Read healthcare & life sciences payers information",
              "hls-payers-connections:write": "Write healthcare & life sciences payers information",
              "hls-symptom-checker:write": "Symptom checker for patient",
              "hls-patient:write": "Write healthcare & life sciences patient information",
              "hls-epic:call-answered": "Write healthcare & life sciences call answered information",
              "hls-sycurio:integrate": "Integrate with Sycurio platform",
              "hls-patient-case:write": "Write healthcare & life sciences patient case information",
              "hls-outstanding-order:read": "Read healthcare & life sciences outstanding orders",
              "hls-medication-order:write": "Write healthcare & life sciences medication order(request)",
              "hls-medication-statement:write": "Write healthcare & life sciences medication statement",
              "hls-medication-statement:read": "Read healthcare & life sciences medication statement",
              "hls-hl7-events:write": "Write healthcare providers HL7 events",
              "erc-ecommerce-connections-orders:write": "Update e-commerce connections orders info",
              "erc-ecommerce-connections-customers:read": "Read e-commerce connections customers info",
              "erc-ecommerce-connections-customers:write": "Write e-commerce connections customers info",
              "erc-ecommerce-connections-orders:read": "Read e-commerce connections orders info",
              "erc-ecommerce-connections-products:read": "Read e-commerce connections products info",
              "erc-ecommerce-customers:read": "Read e-commerce customers info",
              "erc-ecommerce-customers:write": "Write e-commerce customers info",
              "erc-ecommerce-return-reasons:read": "Read e-commerce return reasons",
              "erc-ecommerce-return:read": "Read e-commerce return info",
              "erc-ecommerce-return:write": "Write e-commerce return info",
              "erc-ecommerce-cart:write": "Sync e-commerce cart items",
              "erc-ecommerce-products:read": "Search e-commerce catalog products",
              "erc-ecommerce-orders:read": "Show e-commerce integrations orders info",
              "erc-ecommerce-orders:write": "Update e-commerce integrations orders info",
              "erc-ecommerce-recall:write": "Write e-commerce recall contacts",
              "industries-settings-public:write": "Write industries settings",
              "industries-contexts:write": "Create, update, and delete context values",
              "fsi-insurance-connections-automated-notifications:write": "Write Automated Notifications event information",
              "fsi-insurance-connections-contacts:write": "Sync Talkdesk contacts",
              "fsi-insurance-connections-claims:read": "Read claims by id from FSI Insurance",
              "fsi-insurance-integrations-policies:read": "Read policies from FSI Insurance",
              "fsi-insurance-integrations-accounts:read": "Read accounts from FSI Insurance",
              "fsi-insurance-integrations-claims:write": "Write claims from FSI Insurance",
              "fsi-insurance-integrations-billing:read": "Read billing info from FSI Insurance",
              "fsi-insurance-integrations-claims:read": "Read claims from FSI Insurance",
              "fsi-insurance-integrations-contacts:write": "Update contact details from FSI Insurance",
              "fsi-insurance-integrations-send-docs:read": "Send document deliveries from FSI Insurance",
              "fsi-insurance-integrations-data-back:write": "Write contact event data back to FSI Insurance",
              "automated-notifications-interactions:read": "Read Automated Notifications related with interactions",
              "industries-scheduler-teams:read": "Read teams from industries-scheduler",
              "industries-scheduler-availabilities:read": "Get users availabilities by email",
              "industries-scheduler-appointment:write": "Create cancel event on specialist's calendar",
              "industries-scheduler-appointment:read": "Read appointments from industries-scheduler",
              "industries-messaging-service:write": "Write messages in industries-messaging-service",
              "interaction-custom-fields:write": "Allows to populate interaction custom fields",
              "user-session-public:end": "Terminate a user session",
              "industries-settings-public:read": "Read industries settings",
              "industries-contexts:read": "Read context values",
              "dialer-integrations-records:read": "Read dialer integrations campaign records",
              "scim": "Access SCIM-related routes",
              "hls-epic-my-chart-reset-password:write": "Trigger Epic MyChart password reset (Deprecated - use hls-patient-password-reset:write)",
              "hls-patient-password-reset:write": "Trigger patient password reset for healthcare portal",
              "locations-directory-bulk-operation:write": "Write locations directory data",
              "locations-directory-batch-operation:write": "Apply a batch of locations directory create/update/delete operations",
              "hls-patient-location:read": "Read loction patient data",
              "hls-patient-practice:read": "Read healthcare & life sciences patient practices",
              "hls-guarantor:read": "Read guarantor identifiers from providers",
              "hls-guarantor-billing:read": "Read guarantor billing summary from providers",
              "hls-guarantor-password-reset:write": "Trigger guarantor password reset for healthcare portal",
              "hls-patient-billing:read": "Read patient billing details from providers",
              "hls-interaction-overrides:write": "Write healthcare & life sciences interaction-specific configuration overrides",
              "industries-workflows:read": "Read industries workflow schedules and workflows",
              "industries-workflows:write": "Create, update, start, and delete industries workflow schedules and workflows",
              "digital-messaging-adapter:write": "Write or update Digital Messaging Adapter data"
            }
          }
        }
      }
    }
  },
  "externalDocs": {
    "description": "External Documentation",
    "url": "https://api-docs.talkdeskapp.com/external_docs"
  }
}
```